import { Room } from "./rooms.model";

export class roomDetail {
    Id?: number;
    room : Room;
    userName: string;
    sDate: string;
    eDate: string;
    sTime: {
        hour: number;
        minute: number;
        second: number;
    };
    eTime: {
        hour: number;
        minute: number;
        second: number;
    };
    eStatus: string;
    Remark: string;
    constructor(init?: roomDetail) {
        Object.assign(this, init);
        this.Id = 1;
        this.room = this.room;
        this.userName = '';
        this.sDate = '';
        this.eDate = '';
        this.eStatus = '';
        this.Remark = '';
    }
}

export interface SearchroomDetailModel {
    sDate: string;
    eDate: string;
    sTime: string;
    eTime: string;
}

export class SearchroomDetailModel {
    constructor(init?: SearchroomDetailModel) {
        Object.assign(this, init);
        this.sDate = '',
            this.eDate = '',
            this.sTime = '',
            this.eTime = '';
    }
}